From 851d2f71eb29413136a4e60ae6647dd3372b47fc Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 04 2021 20:20:50 +0000
Subject: [PATCH 2046/2232] Fill in some missing header dependencies related to array and uintptr_t


---

diff --git a/gen/src/builtin.rs b/gen/src/builtin.rs
index 5248a20..3b411aa 100644
--- a/gen/src/builtin.rs
+++ b/gen/src/builtin.rs
@@ -55,6 +55,7 @@ pub(super) fn write(out: &mut OutFile) {
     }
 
     if builtin.rust_str {
+        include.array = true;
         include.cstdint = true;
         include.string = true;
         builtin.friend_impl = true;
@@ -64,6 +65,7 @@ pub(super) fn write(out: &mut OutFile) {
         include.algorithm = true;
         include.array = true;
         include.cstddef = true;
+        include.cstdint = true;
         include.initializer_list = true;
         include.iterator = true;
         include.new = true;
@@ -75,7 +77,9 @@ pub(super) fn write(out: &mut OutFile) {
     }
 
     if builtin.rust_slice {
+        include.array = true;
         include.cstddef = true;
+        include.cstdint = true;
         include.iterator = true;
         include.type_traits = true;
         builtin.friend_impl = true;

